Unable to claim Responsive Certification

Good day to you all. I tried to claim the responsive certification but it says that I can not as I did not complete the required steps and challenges.
I had 2 of the projects done for the legacy cert, the other 3 are new.
I have to change the older projects to reflect the new requirements, is this the problem or sth else?
Thanks in advance!

If there isn’t already an issue about claiming certificates, please create a GitHub Issue.

I am not sure if it is a problem or I have to edit the older projects too, that is what I am asking!
I am going to edit them anyway and if the issue insists I will create github post.
Thanks anyway.

I wasnt able to claim my responsive or JS… I wonder if it has something to do with not being able to complete the “introduction to ____” part.